
CoCoALib - Support #1149

 Release: CoCoALib-0.99600 (together with CoCoA-5.2.4)

17 Jan 2018 12:02 - Anna Maria Bigatti

Status: Closed Start date: 17 Jan 2018

Priority: Normal Due date: 06 Aug 2018

Assignee: Anna Maria Bigatti % Done: 100%

Category: Various Estimated time: 10.00 hours

Target version: CoCoALib-0.99600 Spent time: 9.10 hours

Description

Everything related to making a CoCoALib release:

1. Redmine Roadmap: close or postpone issue

2. Redmine Release issues: check percentages, check timings

3. Finalize

4. make veryclean; make  (full make, with all tests and examples and CoCoA-5..)

5. cd src/tests/; make valgrind

6. cd src/CoCoA-5; make ManExamples

7. ~/shell-scripts/cocoalib-cvs-snapshot

8. upload examples

9. upload manual

10. update webpage

11. publish manual (arXiv?  ResearchGate?)

12. close release on Redmine

--> send message to facebook page

Related issues:

Related to CoCoALib - Support #1056: Release: CoCoALib-0.99560 (together with... Closed 08 Apr 2014

Related to CoCoA-5 - Support #1148: Release CoCoA-5.2.4 Closed 17 Jan 2018

Related to CoCoALib - Support #1195:  Release: CoCoALib-0.99580 (together wit... Rejected 26 Jun 2018

Related to CoCoA-5 - Support #851: Release: CoCoA-5.2.0 Closed 01 Aug 2014

Related to CoCoALib - Support #1338: Release CoCoALib-0.99700 Closed 15 Oct 2019

Related to CoCoALib - Support #1276: Release 0.99650 Closed 29 Apr 2019

History

#1 - 17 Jan 2018 12:07 - Anna Maria Bigatti

- Related to Support #1056: Release: CoCoALib-0.99560 (together with CoCoA-5.2.2) added

#2 - 17 Jan 2018 12:08 - Anna Maria Bigatti

- Related to Support #1148: Release CoCoA-5.2.4 added

#3 - 25 Jan 2018 15:05 - John Abbott

Principal changes and additions to CoCoALib:

ctors for BigInt and BigRat from string and GMP native objects now replaced by pseudo-ctors!

Many files have been renamed or created with prefix SparsePolyOps- for tidying and better structure of related operations

RandomUnimodularMat now produces results with det +1 or -1 (prev. only +1)

improved impl of determinant for matrices over ZZ; special cases now up to dimension 5x5

better handling of det of matrix over QQ (by mapping to matrix over ZZ)

added new fn EratosthenesRange

added new class SmallPrime

added new iterators PrimeSeq and PrimeSeqForCRT

added new fn RandomSmallPrime

added new fn SturmSeq

extended: CommonDenom for vector of polynomials over QQ

added new fn IsSigmaGoodPrime, DenSigma,

added new fn Radical0dim, IsRadical0dim, IsPrimary

extended: PrimaryDecomposition for 0dim
extended: factor for coefficients in Algebraic extension

fixed bug: in multivariate factorization over QQ (sign of RemainingFactor could be wrong)

added new: BigRatInterval with basic arithmetic

added new fn: RandomLinearForm

added new class: VerificationLevel

improved (first part) communication with MathSAT

added new fn IsNonNegGrading

added new fns GCDFreeBasis_BigInt and GCDFreeBasis_RingElem  (bad names!)

fixed bug: SyzOfGens with 0 generators

files

added: SparsePolyOps-IdealZeroDim.[HC]

added: SparsePolyIter.H (from SparsePolyRing)

added: SparsePolyOps-ideal.[HC] (from SparsePolyRing)

renamed: MinPoly.[HC] into SparsePolyOps-MinPoly.[HC]

renamed: IdealsOfPoints.[HC] into SparsePolyOps-IdealOfPoints.[HC]

renamed: MonomialIdeals.[HC] into SparsePolyOps-MonomialIdeal.[HC]

renamed: IntOperations.[HC] into BigIntOps.[HC]

split: BigRat.[HC] into BigRat and BigRatOps

renamed: MatrixOperations.[HC] into MatrixOps.[HC]

renamed: VectorOperations.[HC] into VectorOps.[HC]

split: NumTheory into NumTheory and NumTheory-prime

#4 - 09 Mar 2018 18:06 - John Abbott

- Due date set to 30 Jun 2018

#5 - 20 Mar 2018 12:15 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 10

#6 - 26 Jun 2018 00:46 - Anna Maria Bigatti

- Subject changed from  Release: CoCoALib-0.99570 (together with CoCoA-5.4.2) to  Release: CoCoALib-0.99570 (for SC2 workshop)

#7 - 26 Jun 2018 00:46 - Anna Maria Bigatti

- Related to Support #1195:  Release: CoCoALib-0.99580 (together with CoCoA-5.2.4) added

#8 - 30 Jul 2018 16:16 - Anna Maria Bigatti

- Subject changed from  Release: CoCoALib-0.99570 (for SC2 workshop) to  Release: CoCoALib-0.99600 (for SC2 workshop)

- % Done changed from 10 to 20

#9 - 02 Aug 2018 18:39 - Anna Maria Bigatti

- % Done changed from 20 to 40
#10 - 03 Aug 2018 17:34 - John Abbott

- % Done changed from 40 to 70

#11 - 03 Aug 2018 17:34 - John Abbott

- Due date changed from 30 Jun 2018 to 06 Aug 2018

#12 - 06 Aug 2018 16:15 - Anna Maria Bigatti

- Subject changed from  Release: CoCoALib-0.99600 (for SC2 workshop) to  Release: CoCoALib-0.99600 (together with CoCoA-5.2.4)

#13 - 06 Aug 2018 16:16 - Anna Maria Bigatti

- Description updated

#14 - 06 Aug 2018 18:22 - Anna Maria Bigatti

valgrind tests OK!

#15 - 07 Aug 2018 14:32 - Anna Maria Bigatti

- Description updated

#16 - 07 Aug 2018 14:33 - Anna Maria Bigatti

- Description updated

#17 - 09 Aug 2018 10:36 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

- Estimated time set to 10.00 h

#18 - 16 Sep 2018 17:58 - Anna Maria Bigatti

- Related to Support #851: Release: CoCoA-5.2.0 added

#19 - 15 Oct 2019 13:51 - Anna Maria Bigatti

- Related to Support #1338: Release CoCoALib-0.99700 added

#20 - 15 Oct 2019 13:52 - Anna Maria Bigatti

- Related to Support #1276: Release 0.99650 added
